// priority: 98
ServerEvents.recipes(e => {
    let id = `rd:template`
    const item = {
        paxelTemplate: "rd:paxel_upgrade_smithing_template",
        blank_upgrade: 'justdirethings:upgrade_blank',
        ferricore: 'justdirethings:ferricore_ingot',
    }
    const recipes = {
        'rd:paxel_upgrade_smithing_template': {
            output: 1,
            pattern: [
                [null, null, null],
                [item.ferricore, item.blank_upgrade, item.ferricore],
                [null, item.ferricore, null]
            ],
        },
    }
    for (let key in recipes) {
        let ckey = key.replace(":","/")
		consturctRecipeShaped(e, `${key}`, recipes[key], `${id}/${ckey}`);
    }
})